### Xilinx Processor IP Library

Software Drivers

Main Page | Data Structures | File List | Data Fields | Globals

# xemaclite_i.h File Reference

## Detailed Description

This header file contains internal identifiers, which are those shared between the files of the driver. It is intended for internal use only.

NOTES:

None.

     MODIFICATION HISTORY:

     Ver   Who  Date     Changes
     ----- ---- -------- -----------------------------------------------
     1.01a ecm  05/21/04 First release
     1.11a mta  03/21/07 Updated to new coding style
     1.13a sv   02/1/08  Added macros to Get/Set Tx/Rx status

## Defines
#define | XEmacLite_mGetTxActive(BaseAddress)
#define | XEmacLite_mSetTxActive(BaseAddress, Mask)
## Functions
void | XEmacLite_AlignedWrite (void *SrcPtr, u32 *DestPtr, unsigned ByteCount)
void | XEmacLite_AlignedRead (u32 *SrcPtr, void *DestPtr, unsigned ByteCount)
void | StubHandler (void *CallBackRef)
## Variables
XEmacLite_Config | XEmacLite_ConfigTable []

## Define Documentation

#define XEmacLite_mGetTxActive | ( | BaseAddress |  | ) |

  | Get the TX active location to check status. This is used to check if the TX buffer is currently active. There isn't any way in the hardware to implement this but the register is fully populated so the driver can set the bit in the send routine and the ISR can clear the bit when the handler is complete. This mimics the correct operation of the hardware if it was possible to do this in hardware. Parameters:
  | BaseAddress | is the base address of the device
Returns: Contents of active bit in register. Note: C-Style signature: u32 XEmacLite_mGetTxActive(u32 BaseAddress)

#define XEmacLite_mSetTxActive | ( | BaseAddress,
|  | Mask |  | ) |

  | Set the TX active location to update status. This is used to set the bit indicating which TX buffer is currently active. There isn't any way in the hardware to implement this but the register is fully populated so the driver can set the bit in the send routine and the ISR can clear the bit when the handler is complete. This mimics the correct operation of the hardware if it was possible to do this in hardware. Parameters:
  | BaseAddress | is the base address of the device
  | Mask | is the data to be written
Returns: None Note: C-Style signature: void XEmacLite_mSetTxActive(u32 BaseAddress, u32 Mask)

## Function Documentation

void StubHandler | ( | void * | CallBackRef | ) |

  | This is a stub for the send and receive callbacks. The stub is here in case the upper layers forget to set the handlers. Parameters:
  | CallBackRef | is a pointer to the upper layer callback reference.
Returns: None. Note: None.

void XEmacLite_AlignedRead | ( | u32 * | SrcPtr,
|  | void * | DestPtr,
|  | unsigned | ByteCount
| ) |

  | This function reads from a 32-bit aligned source address range and aligns the writes to the provided destination pointer alignment. Parameters:
  | SrcPtr | is a pointer to incoming data of 32-bit alignment.
  | DestPtr | is a pointer to outgoing data of any alignment.
  | ByteCount | is the number of bytes to read.
Returns: None. Note: None.

void XEmacLite_AlignedWrite | ( | void * | SrcPtr,
|  | u32 * | DestPtr,
|  | unsigned | ByteCount
| ) |

  | This function aligns the incoming data and writes it out to a 32-bit aligned destination address range. Parameters:
  | SrcPtr | is a pointer to incoming data of any alignment.
  | DestPtr | is a pointer to outgoing data of 32-bit alignment.
  | ByteCount | is the number of bytes to write.
Returns: None. Note: None.

## Variable Documentation

XEmacLite_Config XEmacLite_ConfigTable[]

| This table contains configuration information for each EmacLite device in the system.

Copyright © 1995-2009 Xilinx, Inc. All rights reserved.